/* UART.h */
/* LM4F120, TM4C123, TM4C1294*/
/* Simple device driver for the UART. */
/* Daniel Valvano */
/* September 11, 2013 */

/* This example accompanies the books */
/*  "Embedded Systems: Introduction to ARM Cortex M Microcontrollers", */
/*  ISBN: 978-1469998749, Jonathan Valvano, copyright (c) 2014 */

/*"Embedded Systems: Real Time Interfacing to ARM Cortex M Microcontrollers", */
/*   ISBN: 978-1463590154, Jonathan Valvano, copyright (c) 2014 */
 
/* Copyright 2014 by Jonathan W. Valvano, valvano@mail.utexas.edu */
/*    You may use, edit, run or distribute this file */
/*    as long as the above copyright notice remains */
/* THIS SOFTWARE IS PROVIDED "AS IS".  NO WARRANTIES, WHETHER EXPRESS, IMPLIED */
/* OR STATUTORY, INCLUDING, BUT NOT LIMITED TO, IMPLIED WARRANTIES OF */
/* MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE APPLY TO THIS SOFTWARE. */
/* VALVANO SHALL NOT, IN ANY CIRCUMSTANCES, BE LIABLE FOR SPECIAL, INCIDENTAL, */
/* OR CONSEQUENTIAL DAMAGES, FOR ANY REASON WHATSOEVER. */
/* For more information about my classes, my research, and my books, see */
/* http://users.ece.utexas.edu/~valvano/ */


/* U0Rx (VCP receive) connected to PA0 */
/* U0Tx (VCP transmit) connected to PA1 */

/* standard ASCII symbols */
#define CR   0x0D
#define LF   0x0A
#define BS   0x08
#define ESC  0x1B
#define SP   0x20
#define DEL  0x7F


/* Abstraction of general output device */
/* Volume 2 section 3.4.5 */

/*------------Output_Init------------ */
/* Initialize the UART for 115,200 baud rate (assuming 16 MHz bus clock), */
/* 8 bit word length, no parity bits, one stop bit, FIFOs enabled */
/* Input: none */
/* Output: none */
void Output_Init(void);

/* Clear display */
void Output_Clear(void);

/* Turn off display (low power) */
void Output_Off(void);

/* Turn on display */
void Output_On(void);

/* set the color for future output */
/*void Output_Color(uint32_t newColor); */
